Subject: Re: Odd number of elements in anonymous hash

From: Dennis Schridde <[email-masked]>
Date: Thu, 10 Jan 2008 12:04:54 +0100

Am Donnerstag, 10. Januar 2008 09:38:46 schrieb Eric Wong:
> Dennis Schridde <[email-masked]> wrote:
> > Am Dienstag, 8. Januar 2008 18:21:55 schrieb Junio C Hamano:
> > > Dennis Schridde <[email-masked]> writes:
> > > > Hello!
> > > >
> > > > I am getting "Odd number of elements in anonymous hash at
> > > > /usr/bin/git-svn line 1760." (normal output, no warning/error) during
> > > > git-svn-clone. I am using git version 1.5.4.rc2.
> > > >
> > > > Line 1760 is this (with context, marked with '!!'):
> > > >     # see if we have it in our config, first:
> > > >     eval {
> > > >         my $section = "svn-remote.$self->{repo_id}";
> > > > !!        $svnsync = {
> > > >           url => tmp_config('--get', "$section.svnsync-url"),
> > > >           uuid => tmp_config('--get', "$section.svnsync-uuid"),
> > > >         }
> > > >     };
> > > >
> > > > The commandline was "git svn
> > > > clone --authors-file=/var/git/org.gna.warzone.git/authors
> > > > --use-svnsync-props --stdlayout file:///var/svn/warzone2100/
> > > > org.gna.warzone.git/"
> > > >
> > > > I assume this is some kind of bug?
> > >
> > > More than one svn-remote.$your_repo.svnsync-{url,uuid}?
> >
> > PS: It doesn't happen for every revision and the folders (and thus
> > config) were empty before. The config doesn't list any "svnsync-*" during
> > the import process.
>
> Can you look in .git/svn/.metadata for the svnsync-* values?  Thanks.
>
> I downloaded your repository and couldn't reproduce it locally.
This is the file left after the segfault from the other mail:
---
[svn-remote "svn"]
    reposRoot = file:///var/svn/warzone2100
    uuid = 4a71c877-e1ca-e34f-864e-861f7616d084
    branches-maxRev = 14
    tags-maxRev = 14
    svnsync-uuid = 4a71c877-e1ca-e34f-864e-861f7616d084\n
    svnsync-url = http://svn.gna.org/svn/warzone
[svn-remote "tags/1.10a.12"]
    reposRoot = file:///var/svn/warzone2100
    uuid = 4a71c877-e1ca-e34f-864e-861f7616d084
---

I will post the whole file asap. (I think recompiling git,svn,perl with 
CFLAGS=-g and not striping the binary magically solves the problem, at least 
it seemed to when I tried to create a backtrace.)

--Dennis